MsWrdParserInternal::Object Struct Reference

Internal: the object of MsWrdParser. More...

## Public Member Functions

| Object ()
MsWrdEntry | getEntry () const

## Public Attributes

long | m_textPos
| the text position
MWAWEntry | m_pos
| the object entry
std::string | m_name
| the object name
int | m_id
| the id
int | m_ids [2]
| some others id?
int | m_idsFlag [2]
| some flags link to m_ids
int | m_flags [2]
| some flags
MWAWEntry | m_annotation
| the annotation entry
std::string | m_extra
| some extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator<<

## Detailed Description

Internal: the object of MsWrdParser.

## Constructor & Destructor Documentation

## Object()

MsWrdParserInternal::Object::Object | ( |  | ) |

inline

Referenced by operator<<.

## Member Function Documentation

## getEntry()

MsWrdEntry MsWrdParserInternal::Object::getEntry | ( |  | ) | const

inline

Referenced by MsWrdParser::readObject().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Object const & | obj )

friend

operator<<

## Member Data Documentation

## m_annotation

MWAWEntry MsWrdParserInternal::Object::m_annotation

the annotation entry

Referenced by Object(), and MsWrdParser::readObject().

## m_extra

std::string MsWrdParserInternal::Object::m_extra

some extra data

Referenced by Object(), and operator<<.

## m_flags

int MsWrdParserInternal::Object::m_flags[2]

some flags

Referenced by Object(), and operator<<.

## m_id

int MsWrdParserInternal::Object::m_id

the id

Referenced by getEntry(), Object(), operator<<, and MsWrdParser::readObject().

## m_ids

int MsWrdParserInternal::Object::m_ids[2]

some others id?

Referenced by Object(), and operator<<.

## m_idsFlag

int MsWrdParserInternal::Object::m_idsFlag[2]

some flags link to m_ids

Referenced by Object(), and operator<<.

## m_name

std::string MsWrdParserInternal::Object::m_name

the object name

Referenced by Object(), and operator<<.

## m_pos

MWAWEntry MsWrdParserInternal::Object::m_pos

the object entry

Referenced by getEntry(), Object(), and MsWrdParser::readObject().

## m_textPos

long MsWrdParserInternal::Object::m_textPos

the text position

Referenced by Object(), operator<<, and MsWrdParser::readObjectList().

The documentation for this struct was generated from the following file:

- MsWrdParser.cxx